Project

General

Profile

Bug #16721

Upgrade to 3.1 not working with self-registered katello installation

Added by Klaas D over 5 years ago. Updated almost 4 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
Upgrades
Target version:
Difficulty:
Triaged:
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

Hello,
the Katello upgrade is not working with self registered installations. During the setup process the repositories aren't online so yum is unable to connect and check if latest version of ca-certificates is installed. My current workaround is to put "trusted_ca::certificates_version: present" into /usr/share/foreman-installer/config/foreman.hiera/RedHat.yaml but it should be in katello part; not foreman part I think. So I'm not sure where to properly fix it.

Error message during upgrade:

 Could not get latest version: Execution of '/usr/bin/python /usr/share/ruby/vendor_ruby/puppet/provider/package/yumhelper.py' returned 1: Loaded plugins: priorities, product-id                                                                                                                                                     
 /Stage[main]/Trusted_ca/Package[ca-certificates]/ensure: change from 2015.2.6-70.1.el7_2 to latest failed: Could not get latest version: Execution of '/usr/bin/python /usr/share/ruby/vendor_ruby/puppet/provider/package/yumhelper.py' returned 1: Loaded plugins: priorities, product-id         

Greetings
Klaas

History

#1 Updated by Justin Sherrill almost 5 years ago

  • Legacy Backlogs Release (now unused) deleted (171)

#2 Updated by Klaas D almost 5 years ago

  • Status changed from New to Resolved

This is solved in recent versions of katello - I'm not sure which commit solved this, but I think its solved by starting apache during upgrade process.

#3 Updated by Eric Helms almost 5 years ago

  • Legacy Backlogs Release (now unused) set to 166

Also available in: Atom PDF